import request from '@/utils/request'

// 查询网店列表
export function listStore(query) {
  return request({
    url: '/oms/store/list',
    method: 'get',
    params: query
  })
}

// 查询网店详细
export function getStore(storeId) {
  return request({
    url: '/oms/store/' + storeId,
    method: 'get'
  })
}

// 新增网店
export function addStore(data) {
  return request({
    url: '/oms/store',
    method: 'post',
    data: data
  })
}

// 修改网店
export function updateStore(data) {
  return request({
    url: '/oms/store',
    method: 'put',
    data: data
  })
}

// 删除网店
export function delStore(storeId) {
  return request({
    url: '/oms/store/' + storeId,
    method: 'delete'
  })
}

// 导出网店
export function exportStore(query) {
  return request({
    url: '/oms/store/export',
    method: 'get',
    params: query
  })
}